#include <stdio.h>
#include<math.h>
    void pisi (int n, int a[])
    {
        for (int i=0;i<n;i++)
        {
            printf("%d ",a[i]);
        }
        printf("\n");
    }
    void zameni (int *a, int *b)
    {
        int p=*a;
        *a=*b;
        *b=p;
    }
    void sort (int n, int a[])
    {
            for (int i=0;i<n-1;i++)
            {
                for (int j=i+1;j<n;j++)
                {
                    if (a[i] > a[j])
                    {
                        zameni(&a[i], &a[j]);
                    }
                }
            }
    }
    int medijana (int n, int a[])
    {
        return a[n/2];
    }
    int main ()
    {
        int N,Q;
        int A[100000];
        int B[100000];
        scanf("%d%d",&N,&Q);
        long int pomocni[100000];
        int Np=N;
        for (int i=0;i<N;i++)
        {
            scanf("%d",&A[i]);
        }
        for (int i=0;i<Np;i++)
        {
            pomocni[i]=A[i];
        }
        for (int i=0;i<Q;i++)
        {
            scanf("%d",&B[i]);
        }
        sort(N,A);
        sort(Q,B);
        for (int i=0;i<Q;i++)
        {
            int br = 0;
            while (medijana(N, A) != B[i])
            {
                A[N] = B[i];
                N++;
                sort(N, A);
                br++;
            }
            printf("%d\n",br);
            for (int k=0;k<N;k++)
            {
                A[k]=0;
            }
            N = Np;
            for (int j=0;j<Np;j++)
            {
                A[j] = pomocni[j];
            }
        }
        return 0;
    }